%define modname mcve
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A44_%{modname}.ini

Summary:	libmonetra/libmcve interface for php
Name:		php-%{modname}
Version:	7.0.3
Release:	%mkrel 12
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/mcve
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
Patch0:		mcve-7.0.3-php-5.4.patch
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	libmonetra-devel >= 7.0.0
BuildRequires:	openssl-devel

%description
Interface the MCVE/Monetra API (libmonetra [formerly libmcve]), allowing you to
work directly with MCVE/Monetra from your PHP scripts. Monetra is Main Street
Softworks' solution to direct credit card processing for Unix.

%prep

%setup -q -n %{modname}-%{version}
%patch0 -p0
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

# fix version
perl -pi -e "s|#define PHP_MCVE_VERSION \"7\.0\.2\"|#define PHP_MCVE_VERSION \"%{version}\"|g" php_mcve.h

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --enable-%{modname}=shared,%{_prefix} \
    --with-openssl-dir=%{_prefix}

%make
make test
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc package*.xml CREDITS tests *.php
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Wed Jan 30 2013 oden <oden> 7.0.3-12.mga3
+ Revision: 393308
- rebuilt for php-5.4.11

* Sun Jan 13 2013 fwang <fwang> 7.0.3-11.mga3
+ Revision: 376195
- fix build with php 5.4

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 7.0.3-10.mga2
+ Revision: 223913
- httpd restart is handled by filetriggers now

* Thu Dec 22 2011 spuhler <spuhler> 7.0.3-9.mga2
+ Revision: 185675
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 7.0.3-8.mga1
+ Revision: 48080
- removed buildroot definition from .spec
- imported package php-mcve

